import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PageCartComponent } from './page-cart/page-cart.component';
import { RouterModule } from '@angular/router';
import { CraftsmartRoutingModule } from './craftsmart-routing.module';
import { PageDiscoverComponent } from './page-discover/page-discover.component';
import { PageItemDetailComponent } from './page-item-detail/page-item-detail.component';
import { IonicModule } from '@ionic/angular';
import { PageMineComponent } from './page-mine/page-mine.component';
import { HomeComponent } from './home/home.component';
import { PageChatPanelComponent } from './page-chat-panel/page-chat-panel.component';
import { FormsModule } from '@angular/forms';
import { PageLoginComponent } from './page-login/page-login.component';


@NgModule({
  declarations: [
    PageCartComponent,
    PageDiscoverComponent,
    PageItemDetailComponent,
    PageMineComponent,
    HomeComponent,
    PageChatPanelComponent,
    PageLoginComponent,
    
  ],
  imports: [
    CommonModule,
    RouterModule,
    CraftsmartRoutingModule,
    IonicModule,
    FormsModule

  ],
  exports:[
    PageCartComponent,
    PageMineComponent
  ]
})
export class CraftsmartModule { }